<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="stylesheet" href="function/dataTables/media/css/demo_page.css">
<link rel="stylesheet" href="function/dataTables/media/css/demo_table_jui.css">
<link rel="stylesheet" href="function/dataTables/media/themes/smoothness/jquery-ui-1.8.4.custom.css">
<script type="text/javascript" src="function/dataTables/media/js/jquery.js"></script>
<script type="text/javascript" src="function/dataTables/media/js/jquery.dataTables.js"></script>
<script type="text/javascript" language="javascript">
	$(document).ready( function () {
		var oTable = $('#myTables').dataTable( {
			 "sDom": 'R<"H"lfr>t<"F"ip>',
			 "bJQueryUI": true,
			 "sPaginationType": "full_numbers",
			 "iDisplayLength" :10
		});
	});
	function setTrColor(obj, color)
	{
		obj.style.backgroundColor=color;
		obj.onmouseout = function(){
				obj.style.backgroundColor=''; 
		}
	}
	function print_click(id)
	{
		window.open("popup/print_stock_opname.php?stoh_id="+id,"mywindow","menubar=1,scrollbars=1,resizable=1,width=700,height=1000");
	}
	function add_click(){
		form.action ='?page=Proses-Stock-Opname&Act=ADD';
		form.method = 'post';
		form.submit();		
		return true;
	}
	function posting_click(id,code){
		form.action ='?page=Proses-Stock-Opname&Act=POSTING&stoh_id='+id+'&stoh_no='+code;
		form.method = 'post';
		form.submit();		
		return true;
	}
	function detail_click(id){
		form.action ='?page=Proses-Stock-Opname&Act=DETAIL&stoh_id='+id;
		form.method = 'post';
		form.submit();		
		return true;
	}
	function delete_click(id,code){
		var a = confirm("Apakah anda yakin akan menghapus data?");
		if (a == true){
			form.action ='?page=Proses-Stock-Opname&Act=DELETE&stoh_id='+id+'&stoh_no='+code;
			form.method = 'post';
			form.submit();		
			return true;
		}	
	}
</script>
<?php
if(isset($_REQUEST['cari'])=="CARI"){
	 //$bulan	 = $_REQUEST['bulan'];
	 $tahun  = $_REQUEST['tahun'];	
 }else{
	 //$bulan	 = substr($date,5,2);
	 $tahun  = substr($date,0,4);	
 }
?>
<form action="?page=Data-Stock-Opname" method="post" name="form">
<table width="100%" border="0" cellspacing="1" cellpadding="1">
  <tr>
	<td colspan="8" align="center"><h1><b>DATA STOCK OPNAME</b></h1></td>
  </tr>
  <tr>
	<td colspan="8"><img src="images/btn_add.png" height="30" width="30" title="Tambah" border="0" style="cursor:pointer" onclick="add_click();" /></td>
  </tr>
  <tr>
	  <td colspan="9">Tahun :
	     <!--<select id="bulan" name="bulan">
		   <?php
			$bln = array('','Januari','Februari','Maret','April','Mei','Juni','Juli','Agustus','September','Oktober','November','Desember');
			for($n=1; $n<=12; $n++){
			if ($n == $bulan) {
				$cek = " selected";
			} else { $cek=""; }
		   ?>
		   	<option value="<?=$n;?>" <?=$cek;?>><?=$bln[$n];?></option>
		   <?php } ?>
		  </select>-->
		  <input type="text" id="tahun" name="tahun" size="4" value="<?=$tahun;?>">
	      <input type="submit" name="cari" value="CARI" style="cursor:pointer">
		</td>
	</tr>
</table>
<table id="myTables" class="display" cellpadding="0" cellspacing="0">
	<thead> 
  <tr>
	<th>No</th>
	<th>No. Stock Opname</th>
	<th>Tanggal Stock Opname</th>
	<th>No Cek </th>
	<th>Tanggal Cek</th>
	<th>Petugas</th>
	<th>Kategori</th>
	<th>Action</th>
  </tr>
  </thead>
	<tbody>
  <?php
	$no=0;
	$qd = mysql_query("SELECT a.*, b.prod_cat FROM stockopname a 
				 INNER JOIN product_category b ON b.id=a.stoh_prodcat
				 WHERE YEAR(a.stoh_date)=$tahun AND a.stoh_status <> 100 
				 ORDER BY a.id DESC");
	while($dd=mysql_fetch_object($qd)){		
	$no++;
	?> 
	  <tr onmouseover="setTrColor(this, '#FF9900');">
		<td align="center"><?=$no;?>.</td>
		<td align="center"><?=$dd->stoh_no;?></td>
		<td align="center"><?=$dd->stoh_date;?></td>
		<td><?=$dd->stoh_cekno;?></td>
		<td align="center"><?=$dd->stoh_cekdate;?></td>
		<td align="center"><?=$dd->stoh_pic;?></td>
		<td><?=$dd->prod_cat;?></td>
		<td align="center">
			<?php if ($dd->stoh_status==10){ ?>
	<img src="images/btn_posting.png" width="20" height="20" border="0" title="Posting" style="cursor:pointer" onclick="posting_click('<?=$dd->id;?>', '<?=$dd->stoh_no;?>');" />
	<img src="images/btn_edit.png" width="20" height="20" border="0" title="Edit" style="cursor:pointer" onclick="detail_click('<?=$dd->id;?>');" />
	<img src="images/btn_delete.png" width="20" height="20"  border="0"  title="Hapus" style="cursor:pointer" onclick="delete_click('<?=$dd->id;?>', '<?=$dd->stoh_no;?>');" />
			<?php }else { ?>
				<img src="images/btn_print.png" height="20" width="20" title="Print" border="0" style="cursor:pointer" onclick="print_click('<?=$dd->id;?>');" />
			<?php } ?>
		</td>
	  </tr>
  <?php }  ?>
</tbody>
</table>
</form>